import pytest

from all_backend_api.hospitals_request import hospitals_request
from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest


class TestDetail:
    data = BaseRequest().api_load(path_setting.HOSPITAL_DETAIL)
    detail_case, detail_data = get_ids(data, "detail")

    @pytest.mark.parametrize("param", detail_data, ids=detail_case)
    def test_detail(self, param):
        r = hospitals_request().detail()
        print("返回结果", r)
        assert r["error"] == param["assert_error"]






